/**
 * api
 * GIC卡券
 */
import getFetch from './get-fetch.js';
import config, { welfarePrefix } from '@/config';


// 卡券相关接口
let card = {
  cardList: '/coupon/coupon-page', // 卡券列表
  addCard: {
    // 新增卡券
    url: '/coupon/save-coupon',
    method: 'post',
    useFormData: true,
  },
  updateCard: {
    // 修改卡券
    url: '/coupon/edit-coupon',
    method: 'post',
    useFormData: true,
  },
  copyCard: '/coupon/copy-coupon',  // 拷贝卡券
  cardInfo: '/coupon/coupon-detail', // 卡券详情
  updateCardStock: '/coupon/update-coupon-stock', // 修改库存
  deleteCard: '/coupon/delete-coupon', // 删除卡券
  disableCard: '/coupon/disable-coupon', // 禁用卡券
  couponLogPage: '/coupon-log/coupon-log-page', // 卡券领取列表
  giveLogList: '/coupon-gic/gic-coupon-give-log-page', // 卡券转赠记录 TODO:
  groupSendAdd: {
    // 新建投放 TODO:
    url: '/coupon-gic/coupon-puton',
    method: 'post',
    useFormData: true,
  },
  groupSendList: '/coupon-gic/coupon-plan-page', // 卡券投放列表 TODO:
  groupSendInfo: '/coupon-gic/coupon-puton-detail', // 卡券投放详情 TODO:
  groupSendInfoLog: '/coupon-gic/coupon-puton-log-page', // 卡券投放记录 TODO:
  couponPutonFailLogList: '/coupon-gic/coupon-puton-fail-log-page', // 卡券投放失败详情 TODO:
  stopGroupSend: '/coupon-gic/stop-coupon-puton-timed-task', // 禁用投放 TODO:
  codeErrorList: '/gic-coupon-code-error-page', // 查询导入券券码错误列表 TODO:
  checkDemoCode: {
    // 根据demo code TODO:
    url: '/coupon-gic/check-demo-code',
    alertError: false
  },
  cardDestoryList: '/destroy-plugin/page-destroy-plan', // 卡券销毁分页列表 TODO:
  exportDestroyLogExcel: {
    // 卡券销毁记录导出 TODO:
    url: '/export-destroy-log-excel',
    method: 'post',
    export: true,
    headers: { 'Content-Type': 'application/json' }
  },
  saveCoupDestoryPlan: {
    // 保存卡券销毁 TODO:
    url: '/destroy-plugin/save-destroy-plan',
    method: 'post',
    useFormData: true,
  },
  couponlogList: '/coupon-gic/coupon-log-page', // 会员领取记录 TODO:
  exportCoupReceivedLog: {
    // 导出会员领取记录 TODO:
    url: '/export-coup-received-log-excel',
    method: 'post',
    export: true,
    headers: { 'Content-Type': 'application/json' }
  },
  exportCoupGiveLog: {
    // 导出转赠记录 TODO:
    url: '/export-gic-coupon-give-log-excel',
    method: 'post',
    export: true,
    headers: { 'Content-Type': 'application/json' }
  },
  exportCouponPutonLog: {
    // 导出卡券投放详情 TODO:
    url: '/export-coupon-puton-log-excel',
    method: 'post',
    export: true,
    headers: { 'Content-Type': 'application/json' }
  },
  couponConsumeOrder: '/coupon-gic/coupon-consume-order', // 核销 - 订单信息 TODO:
  couponConsume: '/coupon-gic/coupon-consume', // 核销 - 核销 TODO:
  couponDestroy: '/coupon-gic/coupon-destroy', // 销毁 TODO:
};

// 卡券同步库存
let syncStock = {
  getCouponStockInfo: '/coupon-gic/get-coupon-stock-info', // 获取卡券同步信息 TODO:
  returnStock: '/coupon-gic/return-welfare-coupon', // 卡券返还 TODO:
  syncStock: '/coupon-gic/syn-welfare-coupon', // 卡券同步库存 TODO:
  getWelfareStock: '/coupon-gic/get-welfare-stock', // 获取福利库存 TODO:
  getSyncWelfareList: '/coupon-gic/syn-welfare-coupon-page', // 卡券同步记录列表 TODO:
};

// 卡券展架
let shelf = {
  saveShelf: {
    // 保存（新增、更新） TODO:
    url: '/coupon-gic/save-shelf',
    method: 'post',
    useFormData: true,
  },
  getShelfList: '/coupon-gic/list-shelf-page', // 获取展架列表 TODO:
  getShelfInfo: '/coupon-gic/shelf-detail', // 获取展架详情 TODO:
  delShelf: '/coupon-gic/delete-shelf', // 删除某个展架 TODO:
  getShelfCoupon: '/coupon-gic/list-shelf-coupon', // 获取展架使用的卡券 TODO:
};

// 其他接口
let other = {
  auditList: '/coupon/audit-log-page', // 审核记录 TODO:
  // 子应用相关配置↓
  auditSettingInfo: '/coupon/audit-setting-info', // 子应用审核配置 TODO:
  auditSettingSave: {
    // 子应用保存更新 TODO:
    url: '/coupon/audit-setting',
    method: 'post',
    useFormData: true
  },
  getCouponSendLogList: '/coupon-gic/coupon-send-log', // 卡券发放成功记录 TODO:
  getMarketAppcodes: '/market/market-appcodes', // 来源模块codeList TODO:
  getCouponSendFailLogList: '/coupon-gic/coupon-send-fail-log', // 卡券发放失败记录 TODO:
};

card = getFetch(card, welfarePrefix);
syncStock = getFetch(syncStock, welfarePrefix);
shelf = getFetch(shelf, welfarePrefix);
other = getFetch(other, welfarePrefix);

export default { ...card, ...other, ...syncStock, ...shelf };


export const downloadCouponCSV = config.api + welfarePrefix + '/download-code-csv-template'; // 下载导入GIC券号csv示例文件  TODO:
export const importCode = config.api + welfarePrefix + '/import-gic-custom-code'; // 导入券码 TODO:
export const importDestoryCode = welfarePrefix + '/destroy-plugin/import-destroy-code'; // 上传销毁code列表 TODO:
export const downloadDestroyCodeTemplate = config.api + welfarePrefix + '/destroy-plugin/download-destroy-code-template'; // 下载销毁模板示例 TODO:

