/**
 * api
 * 礼品管理
 */
import getFetch from './get-fetch.js';
import { welfarePrefix } from '@/config';


// 礼品相关接口
let realGift = {
  giftGet: '/gift/get', // 新建/编辑礼品时获取数据
  giftSave: {
    // 新增礼品
    url: '/gift/save',
    method: 'post'
  },
  giftUpdate: {
    // 编辑礼品
    url: '/gift/update',
    method: 'post'
  },
  giftPage: {
    // 礼品列表
    url: '/gift/page',
    method: 'post'
  },
  giftStockRecord: '/gift/stock-record', // 库存记录
  giftStockLog: '/gift/stock-record-log', // 库存操作记录
  giftActivity: '/gift/activity-statistics', // 活动统计
  giftTemplateDownload: '/gift/template-download', // 下载模板
  giftTemplateUpload: '/gift/template-upload', // 上传模板
  giftBatchUpdate: {
    // 礼品批量操作
    url: '/gift/batch-update',
    method: 'post'
  },
  giftStandardNew: '/gift/spec-save', // 规格新建
  giftStandardList: '/gift/spec-list', // 规格查询
  giftStandardValueNew: '/gift/spec-value-save', // 规格值新建
  giftStandardValueList: '/gift/spec-value-list', // 规格值查询
};
realGift = getFetch(realGift, welfarePrefix);

export default { ...realGift };


// export const downloadCouponCSV = config.api + marketPrefix + '/download-code-csv-template'; // 下载导入GIC券号csv示例文件  TODO:
// export const importCode = config.api + marketPrefix + '/import-gic-custom-code'; // 导入券码 TODO:
// export const importDestoryCode = marketPrefix + '/destroy-plugin/import-destroy-code'; // 上传销毁code列表 TODO:
// export const downloadDestroyCodeTemplate = config.api + marketPrefix + '/destroy-plugin/download-destroy-code-template'; // 下载销毁模板示例 TODO:

